import { html as l } from "lit";
import { property as h } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, n = (c, r, i, t) => {
  for (var e = t > 1 ? void 0 : t ? m(r, i) : r, o = c.length - 1, p; o >= 0; o--)
    (p = c[o]) && (e = (t ? p(r, i, e) : p(e)) || e);
  return t && e && f(r, i, e), e;
};
let s = class extends a {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--printerLarge", this.class = "c-pieIcon c-pieIcon--printerLarge", this.name = "IconPrinterLarge";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--printerLarge"><path d="M29.125 13.375A2.625 2.625 0 0 0 26.5 10.75H23v-7H9v7H5.5a2.625 2.625 0 0 0-2.625 2.625V24.75H9v3.5h14v-3.5h6.125zM10.75 5.5h10.5v5.25h-10.5zm10.5 21h-10.5v-6.125h10.5zm6.125-3.5H23v-2.625h1.75v-1.75H7.25v1.75H9V23H4.625v-9.625A.875.875 0 0 1 5.5 12.5h21a.875.875 0 0 1 .875.875zm-6.125-7.875h3.5v1.75h-3.5z"></path></svg>`;
  }
};
n([
  h({ type: String, reflect: !0 })
], s.prototype, "size", 2);
n([
  h({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = n([
  v("icon-printer-large")
], s);
export {
  s as IconPrinterLarge
};
